<? session_start();
if ($_SESSION[nome]=="")
{header("Location:empresas.php");}
if ($_SESSION[cnpj]=="")
{header("Location:inicio_grcsu.php");}

?>
<html>
<head>
<title>:: GRCSU - Guia Recolhimento Contribui&ccedil;&atilde;o Sindical Urbana ::</title>
<script language="JavaScript">
      window.status='SINSWeb ';
	  
function fDuvida()
{
 window.open("duvida_num_fun.php","Aviso","width=500,height=300,top=30,left=190,toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=no,copyhistory=no");
}

function Mask_valor_saida(cur,len)
{
   n='__0123456789';
   d=cur.value;
   l=d.length;
   r='';
   valor_remuneracao=0;
   if (l > 0)
   {
	z=d.substr(0,l-1);
	s='';
	a=2;
	for (i=0; i < l; i++)
	{
		c=d.charAt(i);
		if (n.indexOf(c) > a)
		{
			a=1;
			s+=c;
		};
	};
	valor_remuneracao=(s*(1/30)/100);
    valor_remuneracao=(Math.round(valor_remuneracao*100))/100; 
	valor_remuneracao=valor_remuneracao.toString().replace( ".", "," );
	onde_virgula=valor_remuneracao.indexOf(',');
	if (onde_virgula == -1)
	  {
	    valor_remuneracao=valor_remuneracao*100;
		w=valor_remuneracao;
	  }
	else  
	  {
	   tamanho=valor_remuneracao.length;
	   onde_virgula;
	   aumentar=tamanho-onde_virgula;
	   w=valor_remuneracao;
	   if (aumentar <= 2)
	   {
	      for (i=0; i < aumentar-1; i++)
		  {w+=0;}
	   }
	  }	

	document.gerar.doc_valor.value=w;
			

	l=s.length;
	t=len-1;
	if (l > t)
	{
		l=t;
		s=s.substr(0,t);
	};
	if (l > 2)
	{
		r=s.substr(0,l-2)+','+s.substr(l-2,2);
	}
	else
	{
		if (l == 2)
		{
			r='0,'+s;
		}
		else
		{
			if (l == 1)
			{
				r='0,0'+s;
			};
		};
	};
	if (r == '')
	{
		r='0,00';
	}
	else
	{
		l=r.length;
		if (l > 6)
		{
			j=l%3;
			w=r.substr(0,j);
			wa=r.substr(j,l-j-6);
			wb=r.substr(l-6,6);
			if (j > 0)
			{
				w+='.';
			};
			k=(l-j)/3-2;
			for (i=0; i < k; i++)
			{
				w+=wa.substr(i*3,3)+'.';
			};
			r=w+wb;
		};
	};
   };
   if (r.length <= len)
   {
	cur.value=r;
   }
   else
   {
	cur.value=z;
   };
   Mask_valor(gerar.doc_valor,15); 
   return 'ok';
}; //

function Mask_valor(cur,len)
{
   n='__0123456789';
   d=cur.value;
   l=d.length;
   r='';
   if (l > 0)
   {
	z=d.substr(0,l-1);
	s='';
	a=2;
	for (i=0; i < l; i++)
	{
		c=d.charAt(i);
		if (n.indexOf(c) > a)
		{
			a=1;
			s+=c;
		};
	};
	l=s.length;
	t=len-1;
	if (l > t)
	{
		l=t;
		s=s.substr(0,t);
	};
	if (l > 2)
	{
		r=s.substr(0,l-2)+','+s.substr(l-2,2);
	}
	else
	{
		if (l == 2)
		{
			r='0,'+s;
		}
		else
		{
			if (l == 1)
			{
				r='0,0'+s;
			};
		};
	};
	if (r == '')
	{
		r='0,00';
	}
	else
	{
		l=r.length;
		if (l > 6)
		{
			j=l%3;
			w=r.substr(0,j);
			wa=r.substr(j,l-j-6);
			wb=r.substr(l-6,6);
			if (j > 0)
			{
				w+='.';
			};
			k=(l-j)/3-2;
			for (i=0; i < k; i++)
			{
				w+=wa.substr(i*3,3)+'.';
			};
			r=w+wb;
		};
	};
   };
   if (r.length <= len)
   {
	cur.value=r;
   }
   else
   {
	cur.value=z;
   };
   return 'ok';
}; //
  
    /*** script para formatar os camps data, cep, telefone e etc "mascara"
    * Descrição.: formata um campo do formulário de
    * acordo com a máscara informada...
    * Parâmetros: - objForm (o Objeto Form)
    * - strField (string contendo o nome
    * do textbox)
    * - sMask (mascara que define o
    * formato que o dado será apresentado,
    * usando o algarismo "9" para
    * definir números e o símbolo "!" para
    * qualquer caracter...
    * - evtKeyPress (evento)
    *
    * Uso.......: <input type="textbox"
    * name="xxx".....
    * onkeypress="return txtBoxFormat(document.rcfDownload, 'str_cep', '99999-999', event);">
    * Observação: As máscaras podem ser representadas
    * como os exemplos abaixo:
    * CEP -> 99999-999
    * CPF -> 999.999.999-99
    * CNPJ -> 99.999.999/9999-99
    * C/C -> 999999-!
    * Tel -> (99) 9999-9999
    ***/
	 
    function txtBoxFormat(objForm, strField, sMask, evtKeyPress) {
      var i, nCount, sValue, fldLen, mskLen,bolMask, sCod, nTecla;

      if(document.all) { // Internet Explorer
        nTecla = evtKeyPress.keyCode; }
      else if(document.layers) { // Nestcape
        nTecla = evtKeyPress.which;
      }

      sValue = objForm[strField].value;

      // Limpa todos os caracteres de formatação que
      // já estiverem no campo.
      sValue = sValue.toString().replace( "-", "" );
      sValue = sValue.toString().replace( "-", "" );
      sValue = sValue.toString().replace( ".", "" );
      sValue = sValue.toString().replace( ".", "" );
      sValue = sValue.toString().replace( "/", "" );
      sValue = sValue.toString().replace( "/", "" );
      sValue = sValue.toString().replace( "(", "" );
      sValue = sValue.toString().replace( "(", "" );
      sValue = sValue.toString().replace( ")", "" );
      sValue = sValue.toString().replace( ")", "" );
      sValue = sValue.toString().replace( " ", "" );
      sValue = sValue.toString().replace( " ", "" );
      fldLen = sValue.length;
      mskLen = sMask.length;

      i = 0;
      nCount = 0;
      sCod = "";
      mskLen = fldLen;

      while (i <= mskLen) {
        bolMask = ((sMask.charAt(i) == "-") || (sMask.charAt(i) == ".") || (sMask.charAt(i) == "/"))
        bolMask = bolMask || ((sMask.charAt(i) == "(") || (sMask.charAt(i) == ")") || (sMask.charAt(i) == " "))

        if (bolMask) {
          sCod += sMask.charAt(i);
          mskLen++; }
        else {
          sCod += sValue.charAt(nCount);
          nCount++;
        }

        i++;
      }

      objForm[strField].value = sCod;

      if (nTecla != 8) { // backspace
        if (sMask.charAt(i-1) == "9") { // apenas números...
          return ((nTecla > 47) && (nTecla < 58)); } // números de 0 a 9
        else { // qualquer caracter...
          return true;
        } }
      else {
        return true;
      }
    }
  </script>
<script language="JavaScript1.2">
<!--
function VerificaNumero(digNumero)
{ 
    if ((digNumero.value != ''))
	{
    exp = /^\d{1,6}$/;
    if(!exp.test(digNumero.value))
	{
        alert('Apenas Números!');            
  	    digNumero.value='';
		digNumero.focus();

    }
	}	
}

function verificaDatas(dtInicial, dtFinal){
	
	var dtini = dtInicial;
	var dtfim = dtFinal;
	
/*	if ((dtini == '') && (dtfim == '')) {
		alert('Complete os Campos.');
		campos.inicial.focus();
		return false;
	}
	
*/	datInicio = new Date(dtini.substring(6,10), 
						 dtini.substring(3,5), 
						 dtini.substring(0,2));
	datInicio.setMonth(datInicio.getMonth() - 1); 
	
	
	datFim = new Date(dtfim.substring(6,10), 
					  dtfim.substring(3,5), 
					  dtfim.substring(0,2));
					 
	datFim.setMonth(datFim.getMonth() - 1); 

	if(datInicio <= datFim)
	{return true;} 
	else 
	{return false;}	
}



function VerificaData(digData)
{   
    if ((digData.value != ''))
	{
    exp = /^((0?[1-9]|[12]\d)\/(0?[1-9]|1[0-2])|30\/(0?[13-9]|1[0-2])|31\/(0?[13578]|1[02]))\/(19|20)?\d{2}$/;
    if(!exp.test(digData.value))
	{
        alert('Data Invalida!');            
		document.gerar.doc_data_pagamento.value='';
		document.gerar.doc_data_pagamento.focus();
	}
	else
	{
       if (!verificaDatas(document.gerar.doc_vencto.value,document.gerar.doc_data_pagamento.value))
	     {
		   alert("A data de pagamento deve ser posterior ao vencimento");
   		   document.gerar.doc_data_pagamento.value='';
		   document.gerar.doc_data_pagamento.focus();		   
		 } 	   
	}
	}
}

function sRetorna(docform) 
{
  window.parent.open('inicio_grcsu.php','dentro');
}

function sAltera(docform) 
{
  <?$_SESSION[ACAO]='ALTERA';?>;
  window.parent.open('empresas.php','dentro');
}

function sConfirma(docform) 
{
 if (sConsiste(docform)) 
    { 
     <?$_SESSION[ACAO]='GUIA';?>;
	 docform.submit(); 
    }
}


function sConsiste(df)
{
  if (df.doc_vencto.value == "")
    {
    alert("Informe o campo Vencimento.");
    df.doc_vencto.focus();
    return false;
    }	

	if (df.doc_total_empregados.value == "")
    {
    alert("Informe o campo Total de Empregados.");
    df.doc_total_empregados.focus();
    return false;
    }
	
   if (df.doc_numero_empregados.value == "")
    {
    alert("Informe o campo Número de Empregados Contribuintes.");
    df.doc_numero_empregados.focus();
    return false;
    }
	
    if (df.doc_total_remuneracao.value == "")
    {
    alert("Informe o Valor Total da remuneração dos contribuintes");
    df.doc_total_remuneracao.focus();
    return false;
    }	

    if (df.doc_valor.value == "")
    {
    alert("Informe o campo Valor.");
    df.doc_valor.focus();
    return false;
    }
	
 return true;	 
}

	<!--aqui começa a função para desabilitar a tecla enter
function dasabilitarenter() {
var tecla = event.keyCode;
if ((tecla == 13)) { 
    return false;
}
return tecla;
}
// --> aqui termina a função para desabilitar a tecla enter.
</script>

<style type="text/css">
<!--
.caixa_texto {text-align: left; background-color:FFFFFF; border: 1px solid #666666; font-size:8pt; color: #333333}
a:hover {
	text-decoration: none;
	color: #996600;
}
a:active {
	text-decoration: none;
}
.texto {font-family: Arial, Helvetica, sans-serif;font-size: 9px;font-weight: bold;color: #333333;text-decoration: none;
}
.style3 {color: #CC0000}
.style4 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	color: #000000;
}

-->
</style>
<link href="my.css" rel="stylesheet" type="text/css">
    <style type="text/css">
         input  { font-family: Verdana; font-size: 8pt }
         select { font-family: Verdana; font-size: 8pt }

    </style>

<script language="Javascript">
 function janela()
 {
  vpos=window.open('','vpos','toolbar=yes,location=no,directories=no,status=yes,menubar=yes,scrollbars=yes,resizable=yes,copyhistory=no,top=15,left=50,width=800,height=600'); 
 }
 //Verificar o método, GET ou POST
 //--------------------------------------------
// function mudarMetodo()
// {
//  if(document.gerar.metodo[0].checked==true)
//  {
//   document.gerar.method="POST";
//  }
//  else
//  {
//   document.gerar.method="GET";
//  } 
//  return true;
// }
</script>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"></head>
<body topmargin="0" onLoad="gerar.doc_total_empregados.focus();">
<table width="766" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr> 
        
      <td class=titulo width="772" height="19" background="../imagens/base_titulo.jpg">DADOS 
        PARA AGENDAMENTO DA HOMOLOGA&Ccedil;&Atilde;O</td>
      </tr>
      <tr> 
        <td background="../imagens/base_completa.gif"> <div align="center"> 
            <div align="left"></div>
<form name="gerar" action="acoes_grcsu.php" method="POST" target="dentro" onKeyPress="return dasabilitarenter();">
            <table width="90%" border="0" cellspacing="0">
              <tr> 
                <td colspan="2"><div align="center"></div></td>
              </tr>
              <tr> 
                <td width="29%"><font size="4">Detalhes Agendamento</font></td>
                <td width="71%"><font size="4"><span class="style4">Dados da Empresa</span></font></td>
              </tr>
              <tr> 
                <td><table border="0" align="center" cellpadding="4" cellspacing="0">
                    <tr>
                      <td width="60" class="texto">Data:</td>
                      <td colspan="2"><select size="1" name="dTipo" style=
    "font-family: Tahoma; font-size: 8 pt">
                        <option value="14/07/2014" selected>14/07/2014</option>
                        <option value="15/07/2014">15/07/2014</option>
                        <option value="16/07/2014">16/07/2014</option>
                      </select></td>
                    </tr>
                    <tr>
                      <td class="texto">Hora:</td>
                      <td colspan="2"><select size="1" name="dTipo2" style=
    "font-family: Tahoma; font-size: 8 pt">
                        <option value="08:30">08:30</option>
                        <option value="09:00">09:00</option>
                        <option value="09:30">09:30</option>
                        <option value="10:00">10:00</option>
                        <option value="10:30">10:30</option>
                        <option value="11:00">11:00</option>
                        <option value="11:30">11:30</option>
                        <option value="12:00">12:00</option>
                      </select></td>
                    </tr>
                    <tr>
                      <td class="texto">N&ordm; de Empregados:</td>
                      <td width="52"><input name="doc_total_empregados" type="text" class="caixa_texto" onBlur="VerificaNumero(this);" value="<? echo  $_SESSION[num_rows] ?>" size=4></td>
                      <td width="52"><img src="../imagens/help.gif" width="13" height="18" onClick='fDuvida()';></td>
                      <td width="27">&nbsp;</td>
                    </tr>
                    <tr>
                      <td class="texto">&nbsp;</td>
                      <td colspan="2">&nbsp;</td>
                      <td>&nbsp;</td>
                    </tr>
                    <tr>
                      <td class="texto">&nbsp;</td>
                      <td colspan="2">
                      <select size="1" name="dTipo" style=
    "font-family: Tahoma; font-size: 8 pt" >
 <option>Selecione a data...</option>
<?php
  $con=mysql_connect($_SESSION[localbanco],$_SESSION[ususariobanco],$_SESSION[senhabanco]) or die (header("Location:erro.php?txtmensagem="."SISTEMA FORA DO AR"));
   $sel=mysql_select_db ($_SESSION[dbbanco],$con) or die (header("Location:erro.php?txtmensagem="."PROBLEMAS COM O BANCO DE DADOS"));
   $data_atual = date('Y/m/d');
   $data_limite = date('Y/m/d', strtotime('+1 day'));   
//   $data_limite = date('Y/m/d', strtotime('+1 day'));   
 ?><option><? echo $data_atual?> </option><?
 ?><option><? echo $data_limite?> </option><?


   $sql="SELECT INTERVAL 1 DAY + data_hora from datas_homologacao order by data_hora";
   $resultado=mysql_query($sql) or die ("Problema na Consulta");
   while($linha = mysql_fetch_array($resultado)){
	   $aiai=$linha['data_hora'];
   ?>
 <option value="<?php echo $linha['codigo'] ?>"><?php echo date('d/m/Y   H:i', strtotime($linha['data_hora'])) ?></option>
 <?php } ?>
 
 </select>
                      </td>
                      <td>&nbsp;</td>
                    </tr>
                    <tr>
                      <td colspan="4" align="center" class="texto"><input type="button" name="Button3" value="Agendar Homologa&ccedil;&atilde;o" onClick="sConfirma(document.gerar)" style="font-family: Tahoma; font-size: 8 pt; color: #FF0000"></td>
                  </tr>
                    
                </table></td>
                <td><table width="470" border="0" align="center" cellpadding="4" cellspacing="0">
            <tr> 
                      <td width="46" colspan="0" class="texto">
                        <?=$_SESSION[tipo];?>
                        ......:</td>
                      <td colspan="2"><input name="sac_cnpj" type="text" class="texto_verm" id="sac_cnpj" value=<?=$_SESSION[cnpj];?> size="14" maxlength="14" readonly="true"></td>
                      <td><label>
                        <input name="tipo_contribuinte" type="radio" id="tip_emp" value="tip_emp" <?if ($_SESSION[tipo] =='CNPJ' or $_SESSION[tipo] =='CEI')
   {print("checked");}?>>
                      Empregados
                      

<input type="radio" name="tipo_contribuinte" id="tip_aut" value="tip_aut" <?if ($_SESSION[tipo] =='CPF')
   {print("checked");}?>>
                      Autônomo</label></td>
                  </tr>
                    <tr> 
                      <td colspan="0" class="texto">Nome.....:</td>
                      <td colspan="3"><input name="sac_nome" 
		    type="text"  
			class="caixa_texto"
			onBlur="javascript:document.forms[0].sac_nome.value=document.forms[0].sac_nome.value.toUpperCase()" 
			value="<?=$_SESSION[nome]?>" size="68" maxlength="49" readonly="true"></td>
                    </tr>
                    <tr> 
                      <td colspan="0" class="texto">Endere&ccedil;o:</td>
                      <td colspan="3"><input name="sac_endereco" 
		    type="text" 
			class="caixa_texto"
			onBlur="javascript:document.forms[0].sac_endereco.value=document.forms[0].sac_endereco.value.toUpperCase()" 
			value="<?=$_SESSION[endereco]?>" size="68" maxlength="49" readonly="true"></td>
                    </tr>
                    <tr class="texto"> 
                      <td colspan="0" class="texto">N&uacute;mero..:</td>
                      <td width="83"><input name="sac_numero" type="text" class="caixa_texto" value="<?=$_SESSION[numero]?>" size="15" maxlength="14" readonly="true"></td>
                      <td width="71"><div align="right">Complemento:</div></td>
                      <td width="188"><input name="sac_bairro2" 
		type="text" 
		class="caixa_texto"
		onBlur="javascript:document.forms[0].sac_bairro.value=document.forms[0].sac_bairro.value.toUpperCase()" 
		value="<?=$_SESSION[complemento]?>" size="30" maxlength="30" readonly="true"></td>
                  </tr>
                    <tr class="texto"> 
                      <td colspan="0" class="texto">CEP........:</td>
                      <td><input name="sac_cep" 
		    type="text" 
			class="caixa_texto" 
			id="sac_cep2"
		    onKeyPress="return txtBoxFormat(document.gerar, 'sac_cep', '99999-999', event);" 
			value="<?=$_SESSION[cep]?>" 
			size="9" maxlength="9" readonly="true"></td>
                      <td class="texto"><div align="right">Bairro:</div></td>
                      <td><input name="sac_bairro" 
		type="text" 
		class="caixa_texto"
		onBlur="javascript:document.forms[0].sac_bairro.value=document.forms[0].sac_bairro.value.toUpperCase()" 
		value="<?=$_SESSION[bairro]?>" size="30" maxlength="30" readonly="true"></td>
                    </tr>
                    <tr class="texto"> 
                      <td colspan="0" class="texto">Cidade...:</td>
                      <td colspan="3"><input name="sac_cidade" 
		type="text" 
		class="caixa_texto" id="sac_cidade2"
		onBlur="javascript:document.forms[0].sac_cidade.value=document.forms[0].sac_cidade.value.toUpperCase()" 
		value="<?=$_SESSION[cidade]?>" size="57" readonly="true">
                        UF: 
                        <input name="sac_estado" type="text" class="caixa_texto" value=<?=$_SESSION[uf]?> size="2" maxlength="2" readonly="true"></td>
                    </tr>
                    <tr> 
                      <td colspan="0" class="texto">Telefone.:</td>
                      <td><input name="sac_telefone" 
		type="text" 
		class="caixa_texto"
		id="sac_telefone2"
		onBlur="javascript:document.forms[0].sac_cidade.value=document.forms[0].sac_cidade.value.toUpperCase()" 
		value="<?=$_SESSION[telefone]?>" 
		size="16" maxlength="16" readonly="true"></td>
                      <td class="texto"><div align="right">CNAE:</div></td>
                      <td> <div align="left"> 
                          <input name="sac_atividade" type="text" class="caixa_texto" value="<?=$_SESSION[cnae]?>"  size="21" maxlength="11" readonly="true">
                        </div></td>
                    </tr>
                </table></td>
              </tr>
              <tr> 
                <td colspan="2"> <div align="center">
                <input type="button" name="Button" value="Altera Dados" onClick="sAltera(document.gerar)" style="font-family: Tahoma; font-size: 8 pt; color: #808080">
                    <input type="button" name="Button2" value="Voltar" onClick="sRetorna(document.gerar)" style="font-family: Tahoma; font-size: 8 pt; color: #808080">
                  </div></td>
              </tr>
            </table>
</form>
            <p align="right">&nbsp; <br>
            </p>
          </div></td>
      </tr>
    </table>
    
    <table width="766" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr> 
    <td width="769" background="../imagens/fon116.gif"><div align="center" style=" margin-top:8; font-size:10px;">
      <div align="center" style=" margin-top:8; font-size:10px;">
        <div align="center" style=" margin-top:8; font-size:10px;">
          <div align="center" style=" margin-top:8; font-size:10px;">
            <div align="center" style=" margin-top:8; font-size:10px;"><strong><font color="2F3C4D"><a href="/index.php" target="_top" class="my8">Inicial</a> | <a href="/juridico.php" target="_top" class="my8">Jur&iacute;dico</a> | <a href="/sindical.php" target="_top" class="my8">Sindical</a> | <a href="/associados.htm" target="_top" class="my8">Associados</a> | <a href="/webmail.php" target="_top" class="my8">Webmail</a> | <a href="/contato.php" target="_top" class="my8">Contato</a></font></strong></div>
            <div align="center" style=" margin-top:2; margin-bottom:9; font-size:10px"><font color="0A1B31">&copy; 
              2002-2014 Todos os direitos reservados</font></div>
          </div>
          </div>
        </div>
      </div>
      </td>
  </tr>
</table>
</body>
</html>
    </body>
</html>